Subject: bug#13717: scrolling very fast makes emacs-nox segfault

From: Troy Sankey <[email-masked]>
Date: Fri, 15 Feb 2013 10:25:57 -0800

> Scroll which file?  The *scratch* buffer is too short, and cannot be
> scrolled.

Yes, the *scratch* buffer (but any buffer will do). It doesn't visually
scroll, but on my machine scrolling produces a lot of audible bells and
emacs keeps saying "Beginning/End of buffer".

> I hope someone can post a backtrace, because this is 100% not
> reproducible on my system (but I don't have gnome-terminal or
> gnome-shell).

I was able to produce a backtrace by ensuring my *-debuginfo packages
were the same version as my emacs packages :P  I'm not entirely sure how
this bug tracker takes pastes... so I've attached it. Also mirrored
here: http://eserver.sytes.net/tmp/emacs-nox-scrolling-bt.txt

> Also, could you perhaps try a recent pretest of Emacs 24.3?  If that
> problem doesn't exist there, it probably was already solved.

I'm a little busy, but I'll get back to compiling emacs later today.